Subject: Re: bug#24071: [PATCH] Refactor regex character class parsing in [:name:]

From: Michal Nazarewicz <[email-masked]>
Date: Wed, 27 Jul 2016 20:30:28 +0200

On Wed, Jul 27 2016, Eli Zaretskii wrote:
> But this later patch looks like a beginning of a series of refactoring
> (is it?), hopefully followed by more features,

Well… I had bunch of patches prepared but then I discovered that
‘#ifndef emacs’ is used by etags and ‘#ifdef _LIBC’ cannot go away
either so all of them are now gone… :(

But I am wondering about a way to turn all of the ‘syntax & RE_FOO’
checks into compile-time expressions when compiling regex.c for Emacs.

-- 
Best regards
ミハウ “𝓶𝓲𝓷𝓪86” ナザレヴイツ
«If at first you don’t succeed, give up skydiving»